<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'admin_check.php';
$page=$_GET["page"];
$action=$_GET["action"];
$M_id=intval($_GET["M_id"]);

if($page==""){
  $page=1;
}

if($M_id!=""){
  $aa="edit&M_id=".$M_id;
  $sql="select * from sl_member where M_id=".$M_id;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);
  if (mysqli_num_rows($result) > 0) {
    $M_head=$row["M_head"];
    $M_email=$row["M_email"];
    $M_login=$row["M_login"];
    $M_money=$row["M_money"];
    $M_key=$row["M_key"];
  }
  $title="编辑";
}


if($action=="edit"){
  $_POST["M_id"]=$M_id;
  if($_POST["M_email"]!=""){
    mysqli_query($conn, admin("member_edit",$_POST));
    if($_POST["M_pwd"]!=""){
      mysqli_query($conn, admin("member_pwd",$_POST));
    }
    die("{\"msg\":\"success\",\"id\":\"".$M_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="delall"){
  $id=$_POST["id"];
  if(count($id)>0) {
    $shu=0;
    for ($i=0 ;$i<count($id);$i++ ) {
      $_POST["M_id"]=$id[$i];
      mysqli_query($conn,admin("member_del",$_POST));
      $shu=$shu+1 ;
      $ids=$ids.$id[$i].",";
    }
    $ids= substr($ids,0,strlen($ids)-1);
    if($shu>0) {
      die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
    } else {
      die("{\"msg\":\"删除失败\"}");
    }
  } else {
    die("{\"msg\":\"未选择要删除的内容\"}");
  }
}

$sql="select count(M_id) as M_count from sl_member";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$M_counts=$row["M_count"];
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>会员管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<script type="text/javascript" src="../upload/upload.js"></script>
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<style type="text/css">

.showpic{height: 100px;border: solid 1px #DDDDDD;padding: 5px;}
.showpicx{width: 100%;max-width: 500px}
.list-group a{text-decoration:none}
.part{display:inline-block;width:40%;overflow:hidden;text-overflow:ellipsis;white-space: nowrap;}
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      
      <div class="container-fluid">
        
        <div class="row">
                
                <div class="col-lg-5">
                  
                  <div class="card card-primary">

                    <div class="card-header">
                      <h4>会员列表</h4>
                      <form action="?action=search" method="post" class="pull-right">
                        <div class="input-group">
                    <select name="type" class="form-control" style="width: 90px;float: left;">
                      <option value="M_id">会员ID</option>
                      <option value="M_login">用户名</option>
                      <option value="M_email">邮箱</option>
                    </select>
                    <input type="text" name="search" class="form-control" style="width: 150px">
                    <span class="input-group-btn">
                        <button class="btn btn-info" type="submit">搜索</button>
                    </span>
                </div>
              </form>
                    </div>
                    <form id="list">
                        <ul class="list-group">
                          <li class="list-group-item " style="background: #f7f7f7"><div class="part">会员ID/会员帐号</div><div class="part">会员邮箱</div></li>
                          <?php 

                        if($action=="search"){
                          $type=$_POST["type"];
                          $search=$_POST["search"];
                          $sql="select * from sl_member where ".$type." like '%".$search."%' order by M_id ";
                        }else{
                          $sql="select * from sl_member order by M_id desc limit ".(($page-1)*10).",10";
                        }
                                $result = mysqli_query($conn, $sql);
                                if (mysqli_num_rows($result) > 0) {
                                while($row = mysqli_fetch_assoc($result)) {
                                  if($row["M_id"]==$M_id){
                                    $active="active";
                                  }else{
                                    $active="";
                                  }

                                  echo "<a id=\"".$row["M_id"]."\" href=\"?M_id=".$row["M_id"]."&page=$page\" class=\"list-group-item ".$active."\">
                                  <div class=\"part\" \"><input type=\"checkbox\" name=\"id[]\" value=\"".$row["M_id"]."\"> ".$row["M_id"]."/".$row["M_login"]."</div> 
                                  <div class=\"part\">".$row["M_email"]."</div>
                                  
                                  <img src=\"".pic2($row["M_head"])."\" alt=\"<img src='".pic2($row["M_head"])."' width='300'>\" style=\"height:25px;border-radius:10px;\" class=\"pull-right\"></a>";
                                }
                              }
                          ?>
                          
                        </ul>
                  </div>
                  <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
                  <button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>

                  <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="10" />
        <input type="hidden" id="countindex" runat="server" value="10"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
                </form>
                </div>

                <?php if($M_id>0){?>
                <div class="col-lg-7">
                  <form id="form">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4><?php echo $title?>会员</h4>
                    </div>
                    <div class="card-body">

                        <div class="form-group row" >
                          <label class="col-md-3 col-form-label" >会员头像</label>
                          <div class="col-md-9">
                            <img src="<?php echo pic2($M_head)?>" style="height: 100px;border-radius: 10px;">
                            
                          </div>
                        </div>

                        <div class="form-group row" >
                          <label class="col-md-3 col-form-label" >会员帐号</label>
                          <div class="col-md-9">
                            <?php echo $M_login?>
                            
                          </div>
                        </div>

                        <div class="form-group row" >
                          <label class="col-md-3 col-form-label" >API KEY</label>
                          <div class="col-md-9">
                            <?php echo $M_key?>
                            
                          </div>
                        </div>


                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >登录密码</label>
                          <div class="col-md-9">
                            <input type="text"  name="M_pwd" class="form-control" value="" placeholder="已加密保存，留空则不修改">
                          </div>
                        </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" >电子邮箱</label>
                          <div class="col-md-9">
                            <input type="text"  name="M_email" class="form-control" value="<?php echo $M_email?>">
                          </div>
                        </div>

                        
                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >账户余额</label>
                            <div class="col-md-9">
                              <div class="input-group">
                              <input type="text"  name="M_money" class="form-control" value="<?php echo $M_money?>">
                              <span class="input-group-addon">元</span>
                      </div>
                      
                            </div>

                          </div>


                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" ></label>
                          <div class="col-md-9">
                            <button class="btn btn-info" type="button" onClick="save()"><?php echo $title?></button>
                          </div>
                        </div>
                    </div>
                  </div>
                  </form>
                </div>
                <?php }?>


              </div>
      </div>
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>

<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script src="../js/help.js" type="text/javascript"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script type="text/javascript">
function change(id){
  if(id==0){
    $("#M_loginx").show();
    $("#M_headx").hide();
  }
  if(id==1){
    $("#M_loginx").hide();
    $("#M_headx").show();
  }
  if(id==2){
    $("#M_loginx").hide();
    $("#M_head2").show();
  }
}
change(0);

  function loadData(num) {
            $("#PageCount").val("<?php echo $M_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

    function save(){
      lightyear.loading('show');
        $.ajax({
                url:'?action=<?php echo $aa?>',
                type:'post',
                data:$("#form").serialize(),
                success:function (data) {
	                data=JSON.parse(data);
	                lightyear.loading('hide');
	                if(data.msg=="success"){
	                	lightyear.notify('保存成功', 'success', 100);
	                	setTimeout("window.location.href='?M_id="+data.id+"'", 2000 )
	                }else{
	                  	lightyear.notify(data.msg, 'danger', 100);
	                }
                }
              });
      }

      function delall() {

    $.alert({
        title: '确认删除',
        content: '确认删除？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                	lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                	lightyear.notify(data.msg, 'danger', 100);

                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });

}

$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });
</script>
</body>
</html>